Hirevoice Docs
Openapi

Create candidate(s) for integrations — accepts a single object or an array

POST
/integration/v1/candidates

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.main.hirevoice.ai/api/integration/v1/candidates" \  -H "Content-Type: application/json" \  -d '[    {      "company_candidate_uuid": "string",      "first_name": "string",      "last_name": "string"    }  ]'
{
  "items": [
    {
      "index": 0,
      "candidate": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "company_candidate_uuid": "string",
        "first_name": "string",
        "last_name": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "cv_parsing_status": "string",
        "cv_parsed_at": "2019-08-24T14:15:22Z",
        "interviews": [
          {
            "position_id": "a92aa83d-7963-4315-8d81-5d1c5b730d9d",
            "company_position_uuid": "string",
            "status": "queued",
            "interview_url": "string",
            "result": {
              "evaluation": "string",
              "evaluation_parsed": [
                {
                  "type": "hard-skill",
                  "title": "string",
                  "level": 0,
                  "max_level": 0,
                  "reason": "string"
                }
              ],
              "transcript": "string",
              "duration": 0,
              "video_url": "string",
              "extracted_data": [
                {
                  "key": "string",
                  "captured": {}
                }
              ],
              "audio_url": "string",
              "summary": "string",
              "raw_notes": [
                "string"
              ],
              "highlights": [
                {
                  "title": "string",
                  "description": "string",
                  "explainability": {
                    "claims": [
                      {
                        "claim_id": "string",
                        "claim_content": "string",
                        "claim_role": "string",
                        "linked_citations": [
                          {
                            "source": "string",
                            "path": "string",
                            "quote": "string"
                          }
                        ]
                      }
                    ]
                  }
                }
              ],
              "warnings": [
                {
                  "title": "string",
                  "severity": "string",
                  "reasoning": "string",
                  "followup_questions": [
                    "string"
                  ],
                  "explainability": {
                    "claims": [
                      {
                        "claim_id": "string",
                        "claim_content": "string",
                        "claim_role": "string",
                        "linked_citations": [
                          {
                            "source": "string",
                            "path": "string",
                            "quote": "string"
                          }
                        ]
                      }
                    ]
                  }
                }
              ],
              "evaluation_detailed": [
                {
                  "type": "string",
                  "title": "string",
                  "level": 0,
                  "max_level": 0,
                  "reason": "string",
                  "confidence_level": "string",
                  "explainability": {
                    "claims": [
                      {
                        "claim_id": "string",
                        "claim_content": "string",
                        "claim_role": "string",
                        "linked_citations": [
                          {
                            "source": "string",
                            "path": "string",
                            "quote": "string"
                          }
                        ]
                      }
                    ]
                  }
                }
              ],
              "transcript_turns": [
                {
                  "role": "agent",
                  "message": "string",
                  "time_in_call_secs": 0
                }
              ]
            },
            "context": {
              "criteria_source": "position.interview_evaluation_criteria",
              "job_opening_role": "string",
              "job_description": "string",
              "evaluation_criteria": [
                {
                  "category": "hard-skill",
                  "title": "string",
                  "definition": "string",
                  "levels": [
                    {
                      "level": 0,
                      "description": "string"
                    }
                  ],
                  "question_examples": [
                    "string"
                  ]
                }
              ],
              "applied_extract_data": {
                "tools_or_tags": [
                  "string"
                ],
                "must_have_questions_added": [
                  "string"
                ],
                "challenge_level": 0,
                "depth_level": 0,
                "max_questions": 0,
                "language": "en",
                "persona_applied": false,
                "first_message_applied": false
              },
              "extract_data_fields": [
                {
                  "key": "string",
                  "description": ""
                }
              ]
            },
            "error_detail": {},
            "status_detail": {},
            "white_label": {
              "company_name": "string",
              "brand_assets": {
                "colors": {
                  "foreground": {
                    "type": "hex",
                    "value": "string"
                  },
                  "background": {
                    "type": "hex",
                    "value": "string"
                  }
                },
                "logo_url": "string"
              }
            }
          }
        ]
      },
      "error": "string"
    }
  ],
  "created": 0,
  "failed": 0
}
{
  "items": [
    {
      "index": 0,
      "candidate": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "company_candidate_uuid": "string",
        "first_name": "string",
        "last_name": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "cv_parsing_status": "string",
        "cv_parsed_at": "2019-08-24T14:15:22Z",
        "interviews": [
          {
            "position_id": "a92aa83d-7963-4315-8d81-5d1c5b730d9d",
            "company_position_uuid": "string",
            "status": "queued",
            "interview_url": "string",
            "result": {
              "evaluation": "string",
              "evaluation_parsed": [
                {
                  "type": "hard-skill",
                  "title": "string",
                  "level": 0,
                  "max_level": 0,
                  "reason": "string"
                }
              ],
              "transcript": "string",
              "duration": 0,
              "video_url": "string",
              "extracted_data": [
                {
                  "key": "string",
                  "captured": {}
                }
              ],
              "audio_url": "string",
              "summary": "string",
              "raw_notes": [
                "string"
              ],
              "highlights": [
                {
                  "title": "string",
                  "description": "string",
                  "explainability": {
                    "claims": [
                      {
                        "claim_id": "string",
                        "claim_content": "string",
                        "claim_role": "string",
                        "linked_citations": [
                          {
                            "source": "string",
                            "path": "string",
                            "quote": "string"
                          }
                        ]
                      }
                    ]
                  }
                }
              ],
              "warnings": [
                {
                  "title": "string",
                  "severity": "string",
                  "reasoning": "string",
                  "followup_questions": [
                    "string"
                  ],
                  "explainability": {
                    "claims": [
                      {
                        "claim_id": "string",
                        "claim_content": "string",
                        "claim_role": "string",
                        "linked_citations": [
                          {
                            "source": "string",
                            "path": "string",
                            "quote": "string"
                          }
                        ]
                      }
                    ]
                  }
                }
              ],
              "evaluation_detailed": [
                {
                  "type": "string",
                  "title": "string",
                  "level": 0,
                  "max_level": 0,
                  "reason": "string",
                  "confidence_level": "string",
                  "explainability": {
                    "claims": [
                      {
                        "claim_id": "string",
                        "claim_content": "string",
                        "claim_role": "string",
                        "linked_citations": [
                          {
                            "source": "string",
                            "path": "string",
                            "quote": "string"
                          }
                        ]
                      }
                    ]
                  }
                }
              ],
              "transcript_turns": [
                {
                  "role": "agent",
                  "message": "string",
                  "time_in_call_secs": 0
                }
              ]
            },
            "context": {
              "criteria_source": "position.interview_evaluation_criteria",
              "job_opening_role": "string",
              "job_description": "string",
              "evaluation_criteria": [
                {
                  "category": "hard-skill",
                  "title": "string",
                  "definition": "string",
                  "levels": [
                    {
                      "level": 0,
                      "description": "string"
                    }
                  ],
                  "question_examples": [
                    "string"
                  ]
                }
              ],
              "applied_extract_data": {
                "tools_or_tags": [
                  "string"
                ],
                "must_have_questions_added": [
                  "string"
                ],
                "challenge_level": 0,
                "depth_level": 0,
                "max_questions": 0,
                "language": "en",
                "persona_applied": false,
                "first_message_applied": false
              },
              "extract_data_fields": [
                {
                  "key": "string",
                  "description": ""
                }
              ]
            },
            "error_detail": {},
            "status_detail": {},
            "white_label": {
              "company_name": "string",
              "brand_assets": {
                "colors": {
                  "foreground": {
                    "type": "hex",
                    "value": "string"
                  },
                  "background": {
                    "type": "hex",
                    "value": "string"
                  }
                },
                "logo_url": "string"
              }
            }
          }
        ]
      },
      "error": "string"
    }
  ],
  "created": 0,
  "failed": 0
}
{
  "detail": "string",
  "code": "string"
}
Empty
{
  "detail": "string",
  "code": "string"
}
{
  "detail": "string",
  "code": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": "string",
  "code": "string"
}
{
  "detail": "string",
  "code": "string"
}